summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andres Fuentes2010-12-10 13:14:36 +0100
committer Robby Workman2010-12-12 22:47:14 +0100
commit7e67df7fb6269c75519326018762c59ded8879f8 (patch)
treeeada302269291515c8dd37c57b1b18b48e894e87
parent85ddf4e4dad50e334f431f55d7cba8b2908d9d03 (diff)
downloadslackbuilds-7e67df7fb6269c75519326018762c59ded8879f8.tar.gz
development/swfmill: Added (Xml2swf and Swf2xml processor)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--development/swfmill/README10
-rw-r--r--development/swfmill/slack-desc19
-rw-r--r--development/swfmill/swfmill.SlackBuild89
-rw-r--r--development/swfmill/swfmill.info10
4 files changed, 128 insertions, 0 deletions
diff --git a/development/swfmill/README b/development/swfmill/README
new file mode 100644
index 0000000000..08619e7f02
--- /dev/null
+++ b/development/swfmill/README
@@ -0,0 +1,10 @@
+swfmill is an xml2swf and swf2xml processor with import functionalities.
+
+It's most common use is the generation of asset libraries containing images (PNG and JPEG),
+fonts (TTF) or other SWF movies for use with MTASC- or haXe-compiled ActionScript, although
+swfmill can be used to produce both simple and complex SWF structures.
+
+* built around an XSLT/EXSLT processor (libxslt)
+* input and output of the XSLT transformation can be either XML or binary SWF
+* XSLT commands for importing PNG, JPEG, TTF and SWF, and for mapping SWF ID numbers
+* built-in "simple dialect" to support library creation and building simple SWFs
diff --git a/development/swfmill/slack-desc b/development/swfmill/slack-desc
new file mode 100644
index 0000000000..a63e53bb80
--- /dev/null
+++ b/development/swfmill/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+swfmill: Swfmill (Xml2swf and Swf2xml processor)
+swfmill:
+swfmill: Swfmill an xml2swf and swf2xml processor with import functionalities
+swfmill: It's most common use is the generation of asset libraries containing
+swfmill: images (PNG and JPEG), fonts (TTF) or other SWF movies for use with
+swfmill: MTASC- or haXe-compiled ActionScript, although swfmill can be used
+swfmill: to produce both simple and complex SWF structures.
+swfmill:
+swfmill: Homepage: http://swfmill.org/
+swfmill:
+swfmill:
diff --git a/development/swfmill/swfmill.SlackBuild b/development/swfmill/swfmill.SlackBuild
new file mode 100644
index 0000000000..9294e88320
--- /dev/null
+++ b/development/swfmill/swfmill.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for Swfmill
+
+# Written by Andres Fuentes (rafu@riseup.net)
+# This script is public domain
+
+PRGNAM=swfmill
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+export CFLAGS=""
+export CXXFLAGS="$SLKCFLAGS"
+./configure \
+--prefix=/usr \
+--libdir=/usr/lib${LIBDIRSUFFIX} \
+--sysconfdir=/etc \
+--localstatedir=/var \
+--disable-static \
+--mandir=/usr/man \
+--infodir=/usr/info \
+--build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/swfmill/swfmill.info b/development/swfmill/swfmill.info
new file mode 100644
index 0000000000..cecf35ca81
--- /dev/null
+++ b/development/swfmill/swfmill.info
@@ -0,0 +1,10 @@
+PRGNAM="swfmill"
+VERSION="0.3.0"
+HOMEPAGE="http://swfmill.org/"
+DOWNLOAD="http://swfmill.org/releases/swfmill-0.3.0.tar.gz"
+MD5SUM="b7850211cf683aa7a1c62324b56e3216"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andres Fuentes"
+EMAIL="rafu@riseup.net"
+APPROVED="Niels Horn"